> For the complete documentation index, see [llms.txt](https://docs.oxyapi.uk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oxyapi.uk/endpoints/embeddings.md).

# Embeddings

<mark style="color:blue;">**`ENDPOINT : https://app.oxyapi.uk/v1/embeddings`**</mark>

`input [string]`` `<mark style="color:red;">**`REQUIRED`**</mark>

* Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8192 tokens for `text-embedding-ada-002`), cannot be an empty string, and any array must be 2048 dimensions or less. [Example Python code](https://cookbook.openai.com/examples/how_to_count_tokens_with_tiktoken) for counting tokens.

`model  [string]`` `<mark style="color:red;">**`REQUIRED`**</mark>

* ID of the model to use. See the [model endpoint compatibility](https://app.oxyapi.uk/v1/models) table for details on which models work with the Embedding API..

`encoding_format [string] Optional Defaults to float`

* The format to return the embeddings in. Can be either `float` or [`base64`](https://pypi.org/project/pybase64/).

`dimensions [integer] Optional`

* The number of dimensions the resulting output embeddings should have. Only supported in `text-embedding-3` and later models.

`user [string] Optional`

* A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oxyapi.uk/endpoints/embeddings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
